Subject: bug#39351: One failed self test on CentOS 5

From: Jeffrey Walton <[email-masked]>
Date: Wed, 29 Jan 2020 20:21:23 -0500

Hi Everyone,

I'm working on CentOS 5, x86_64. I'm building Sed 4.8 from the release
tarball. I'm catching one self-test failure:

    $ cat sed-4.8/gnulib-tests/test-suite.log
    ==============================================
       GNU sed 4.8: gnulib-tests/test-suite.log
    ==============================================

    # TOTAL: 178
    # PASS:  149
    # SKIP:  28
    # XFAIL: 0
    # FAIL:  1
    # XPASS: 0
    # ERROR: 0
    ...

    FAIL: test-strverscmp
    =====================
    test-strverscmp.c:52: assertion 'strverscmp (a, c) < 0' failed
    FAIL test-strverscmp (exit status: 134)

And:

    $ cat -n sed-4.8/gnulib-tests/test-strverscmp.c
    ...
    45      /* From glibc bug 9913.  */
    46      {
    47        static char const a[] = "B0075022800016.gbp.corp.com";
    48        static char const b[] = "B007502280067.gbp.corp.com";
    49        static char const c[] = "B007502357019.GBP.CORP.COM";
    50        ASSERT (strverscmp (a, b) < 0);
    51        ASSERT (strverscmp (b, c) < 0);
    52        ASSERT (strverscmp (a, c) < 0);
    53        ASSERT (strverscmp (b, a) > 0);
    54        ASSERT (strverscmp (c, b) > 0);
    55        ASSERT (strverscmp (c, a) > 0);
    56      }

Jeff